## EogJobCopy

EogJobCopy

## Synopsis

    #define             EOG_TYPE_JOB_THUMBNAIL
    #define             EOG_JOB_THUMBNAIL                   (obj)
    #define             EOG_JOB_THUMBNAIL_CLASS             (klass)
    #define             EOG_IS_JOB_THUMBNAIL                (obj)
    #define             EOG_TYPE_JOB_LOAD
    #define             EOG_JOB_LOAD                        (obj)
    #define             EOG_JOB_LOAD_CLASS                  (klass)
    #define             EOG_IS_JOB_LOAD                     (obj)
    #define             EOG_TYPE_JOB_MODEL
    #define             EOG_JOB_MODEL                       (obj)
    #define             EOG_JOB_MODEL_CLASS                 (klass)
    #define             EOG_IS_JOB_MODEL                    (obj)
    #define             EOG_TYPE_JOB_TRANSFORM
    #define             EOG_JOB_TRANSFORM                   (obj)
    #define             EOG_JOB_TRANSFORM_CLASS             (klass)
    #define             EOG_IS_JOB_TRANSFORM                (obj)
    #define             EOG_TYPE_JOB_SAVE
    #define             EOG_JOB_SAVE                        (obj)
    #define             EOG_JOB_SAVE_CLASS                  (klass)
    #define             EOG_IS_JOB_SAVE                     (obj)
    #define             EOG_JOB_SAVE_GET_CLASS              (obj)
    #define             EOG_TYPE_JOB_SAVE_AS
    #define             EOG_JOB_SAVE_AS                     (obj)
    #define             EOG_JOB_SAVE_AS_CLASS               (klass)
    #define             EOG_IS_JOB_SAVE_AS                  (obj)
    #define             EOG_JOB_COPY                        (obj)
    #define             EOG_JOB_COPY_CLASS                  (klass)
                        EogJob;
                        EogJobThumbnail;
                        EogJobLoad;
                        EogJobModel;
                        EogJobTransform;
    enum                EogJobSaveResponse;
                        EogJobSave;
                        EogJobSaveAs;
                        EogJobCopy;
    void                eog_job_finished                    (EogJob *job);
    void                eog_job_run                         (EogJob *job);
    void                eog_job_set_progress                (EogJob *job,
                                                             float progress);
    GType               eog_job_thumbnail_get_type          (void);
    EogJob *            eog_job_thumbnail_new               (EogImage *image);
    GType               eog_job_load_get_type               (void);
    EogJob *            eog_job_load_new                    (EogImage *image,
                                                             EogImageData data);
    GType               eog_job_model_get_type              (void);
    EogJob *            eog_job_model_new                   (GSList *file_list);
    GType               eog_job_transform_get_type          (void);
    EogJob *            eog_job_transform_new               (GList *images,
                                                             EogTransform *trans);
    GType               eog_job_save_get_type               (void);
    EogJob *            eog_job_save_new                    (GList *images);
    GType               eog_job_save_as_get_type            (void);
    EogJob *            eog_job_save_as_new                 (GList *images,
                                                             EogURIConverter *converter,
                                                             GFile *file);
    GType               eog_job_copy_get_type               (void);
    EogJob *            eog_job_copy_new                    (GList *images,
                                                             const gchar *dest);

## Object Hierarchy

      GObject
       +----EogJob
             +----EogJobCopy
             +----EogJobLoad
             +----EogJobModel
             +----EogJobSave
             +----EogJobThumbnail
             +----EogJobTransform

      GObject
       +----EogJob
             +----EogJobThumbnail

      GObject
       +----EogJob
             +----EogJobLoad

      GObject
       +----EogJob
             +----EogJobModel

      GObject
       +----EogJob
             +----EogJobTransform

      GObject
       +----EogJob
             +----EogJobSave
                   +----EogJobSaveAs

      GObject
       +----EogJob
             +----EogJobSave
                   +----EogJobSaveAs

      GObject
       +----EogJob
             +----EogJobCopy

## Signals

      "finished"                                       : Run Last
      "progress"                                       : Run Last

## Description

## Details

### EOG_TYPE_JOB_THUMBNAIL

    #define EOG_TYPE_JOB_THUMBNAIL	       (eog_job_thumbnail_get_type())

### EOG_JOB_THUMBNAIL()

    #define EOG_JOB_THUMBNAIL(obj)	       (G_TYPE_CHECK_INSTANCE_CAST((obj), EOG_TYPE_JOB_THUMBNAIL, EogJobThumbnail))

`obj` : |

### EOG_JOB_THUMBNAIL_CLASS()

    #define EOG_JOB_THUMBNAIL_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST((klass),  EOG_TYPE_JOB_THUMBNAIL, EogJobThumbnailClass))

`klass` : |

### EOG_IS_JOB_THUMBNAIL()

    #define EOG_IS_JOB_THUMBNAIL(obj)      (G_TYPE_CHECK_INSTANCE_TYPE((obj), EOG_TYPE_JOB_THUMBNAIL))

`obj` : |

### EOG_TYPE_JOB_LOAD

    #define EOG_TYPE_JOB_LOAD	       (eog_job_load_get_type())

### EOG_JOB_LOAD()

    #define EOG_JOB_LOAD(obj)	       (G_TYPE_CHECK_INSTANCE_CAST((obj), EOG_TYPE_JOB_LOAD, EogJobLoad))

`obj` : |

### EOG_JOB_LOAD_CLASS()

    #define EOG_JOB_LOAD_CLASS(klass)      (G_TYPE_CHECK_CLASS_CAST((klass),  EOG_TYPE_JOB_LOAD, EogJobLoadClass))

`klass` : |

### EOG_IS_JOB_LOAD()

    #define EOG_IS_JOB_LOAD(obj)	       (G_TYPE_CHECK_INSTANCE_TYPE((obj), EOG_TYPE_JOB_LOAD))

`obj` : |

### EOG_TYPE_JOB_MODEL

    #define EOG_TYPE_JOB_MODEL	       (eog_job_model_get_type())

### EOG_JOB_MODEL()

    #define EOG_JOB_MODEL(obj)	       (G_TYPE_CHECK_INSTANCE_CAST((obj), EOG_TYPE_JOB_MODEL, EogJobModel))

`obj` : |

### EOG_JOB_MODEL_CLASS()

    #define EOG_JOB_MODEL_CLASS(klass)     (G_TYPE_CHECK_CLASS_CAST((klass),  EOG_TYPE_JOB_MODEL, EogJobModelClass))

`klass` : |

### EOG_IS_JOB_MODEL()

    #define EOG_IS_JOB_MODEL(obj)          (G_TYPE_CHECK_INSTANCE_TYPE((obj), EOG_TYPE_JOB_MODEL))

`obj` : |

### EOG_TYPE_JOB_TRANSFORM

    #define EOG_TYPE_JOB_TRANSFORM	       (eog_job_transform_get_type())

### EOG_JOB_TRANSFORM()

    #define EOG_JOB_TRANSFORM(obj)	       (G_TYPE_CHECK_INSTANCE_CAST((obj), EOG_TYPE_JOB_TRANSFORM, EogJobTransform))

`obj` : |

### EOG_JOB_TRANSFORM_CLASS()

    #define EOG_JOB_TRANSFORM_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST((klass),  EOG_TYPE_JOB_TRANSFORM, EogJobTransformClass))

`klass` : |

### EOG_IS_JOB_TRANSFORM()

    #define EOG_IS_JOB_TRANSFORM(obj)      (G_TYPE_CHECK_INSTANCE_TYPE((obj), EOG_TYPE_JOB_TRANSFORM))

`obj` : |

### EOG_TYPE_JOB_SAVE

    #define EOG_TYPE_JOB_SAVE              (eog_job_save_get_type())

### EOG_JOB_SAVE()

    #define EOG_JOB_SAVE(obj)              (G_TYPE_CHECK_INSTANCE_CAST((obj), EOG_TYPE_JOB_SAVE, EogJobSave))

`obj` : |

### EOG_JOB_SAVE_CLASS()

    #define EOG_JOB_SAVE_CLASS(klass)      (G_TYPE_CHECK_CLASS_CAST((klass), EOG_TYPE_JOB_SAVE, EogJobSaveClass))

`klass` : |

### EOG_IS_JOB_SAVE()

    #define EOG_IS_JOB_SAVE(obj)           (G_TYPE_CHECK_INSTANCE_TYPE((obj), EOG_TYPE_JOB_SAVE))

`obj` : |

### EOG_JOB_SAVE_GET_CLASS()

    #define EOG_JOB_SAVE_GET_CLASS(obj)    (G_TYPE_INSTANCE_GET_CLASS ((obj), EOG_TYPE_JOB_SAVE, EogJobSaveClass))

`obj` : |

### EOG_TYPE_JOB_SAVE_AS

    #define EOG_TYPE_JOB_SAVE_AS           (eog_job_save_as_get_type())

### EOG_JOB_SAVE_AS()

    #define EOG_JOB_SAVE_AS(obj)           (G_TYPE_CHECK_INSTANCE_CAST((obj), EOG_TYPE_JOB_SAVE_AS, EogJobSaveAs))

`obj` : |

### EOG_JOB_SAVE_AS_CLASS()

    #define EOG_JOB_SAVE_AS_CLASS(klass)   (G_TYPE_CHECK_CLASS_CAST((klass), EOG_TYPE_JOB_SAVE_AS, EogJobSaveAsClass))

`klass` : |

### EOG_IS_JOB_SAVE_AS()

    #define EOG_IS_JOB_SAVE_AS(obj)        (G_TYPE_CHECK_INSTANCE_TYPE((obj), EOG_TYPE_JOB_SAVE_AS))

`obj` : |

### EOG_JOB_COPY()

    #define EOG_JOB_COPY(obj)	       (G_TYPE_CHECK_INSTANCE_CAST((obj), EOG_TYPE_JOB_COPY, EogJobCopy))

`obj` : |

### EOG_JOB_COPY_CLASS()

    #define EOG_JOB_COPY_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST((klass),  EOG_TYPE_JOB_COPY, EogJobCopyClass))

`klass` : |

### EogJob

    typedef struct _EogJob EogJob;

### EogJobThumbnail

    typedef struct _EogJobThumbnail EogJobThumbnail;

### EogJobLoad

    typedef struct _EogJobLoad EogJobLoad;

### EogJobModel

    typedef struct _EogJobModel EogJobModel;

### EogJobTransform

    typedef struct _EogJobTransform EogJobTransform;

### enum EogJobSaveResponse

    typedef enum {
    	EOG_SAVE_RESPONSE_NONE,
    	EOG_SAVE_RESPONSE_RETRY,
    	EOG_SAVE_RESPONSE_SKIP,
    	EOG_SAVE_RESPONSE_OVERWRITE,
    	EOG_SAVE_RESPONSE_CANCEL,
    	EOG_SAVE_RESPONSE_LAST
    } EogJobSaveResponse;

### EogJobSave

    typedef struct _EogJobSave EogJobSave;

### EogJobSaveAs

    typedef struct _EogJobSaveAs EogJobSaveAs;

### EogJobCopy

    typedef struct _EogJobCopy EogJobCopy;

### eog_job_finished ()

    void                eog_job_finished                    (EogJob *job);

`job` : |

### eog_job_run ()

    void                eog_job_run                         (EogJob *job);

Executes the job passed as `job`. Usually there is no need to call this on your own. Jobs should be executed by using the EogJobQueue.

`job` : | the job to execute.

### eog_job_set_progress ()

    void                eog_job_set_progress                (EogJob *job,
                                                             float progress);

`job` : |
`progress` : |

### eog_job_thumbnail_get_type ()

    GType               eog_job_thumbnail_get_type          (void);

Returns : |

### eog_job_thumbnail_new ()

    EogJob *            eog_job_thumbnail_new               (EogImage *image);

`image` : |
Returns : |

### eog_job_load_get_type ()

    GType               eog_job_load_get_type               (void);

Returns : |

### eog_job_load_new ()

    EogJob *            eog_job_load_new                    (EogImage *image,
                                                             EogImageData data);

`image` : |
`data` : |
Returns : |

### eog_job_model_get_type ()

    GType               eog_job_model_get_type              (void);

Returns : |

### eog_job_model_new ()

    EogJob *            eog_job_model_new                   (GSList *file_list);

`file_list` : |
Returns : |

### eog_job_transform_get_type ()

    GType               eog_job_transform_get_type          (void);

Returns : |

### eog_job_transform_new ()

    EogJob *            eog_job_transform_new               (GList *images,
                                                             EogTransform *trans);

`images` : |
`trans` : |
Returns : |

### eog_job_save_get_type ()

    GType               eog_job_save_get_type               (void);

Returns : |

### eog_job_save_new ()

    EogJob *            eog_job_save_new                    (GList *images);

`images` : |
Returns : |

### eog_job_save_as_get_type ()

    GType               eog_job_save_as_get_type            (void);

Returns : |

### eog_job_save_as_new ()

    EogJob *            eog_job_save_as_new                 (GList *images,
                                                             EogURIConverter *converter,
                                                             GFile *file);

`images` : |
`converter` : |
`file` : |
Returns : |

### eog_job_copy_get_type ()

    GType               eog_job_copy_get_type               (void);

Returns : |

### eog_job_copy_new ()

    EogJob *            eog_job_copy_new                    (GList *images,
                                                             const gchar *dest);

`images` : |
`dest` : |
Returns : |

## Signal Details

### The `"finished"` signal

    void                user_function                      (EogJob  *eogjob,
                                                            gpointer user_data)      : Run Last

`eogjob` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.

### The `"progress"` signal

    void                user_function                      (EogJob  *eogjob,
                                                            gfloat   arg1,
                                                            gpointer user_data)      : Run Last

`eogjob` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.